#include <SFML\Graphics.hpp>
#include <vector>

using namespace std;

const int winW = 350; //  
const int winH = 300; //  

int main() {
	sf::ContextSettings set;
	set.antialiasingLevel = 8; //  
	sf::RenderWindow window (sf::VideoMode(winW, winH), "Lights", sf::Style::Default, set); // 
	
	int radius = 75; //  

	sf::CircleShape c1 (radius, 40); //   
	c1.setPosition(50, 50);
	c1.setFillColor(sf::Color::Red);

	sf::CircleShape c2(radius, 40); //   
	c2.setFillColor(sf::Color::Green);
	c2.setPosition(50 + radius/2, 50);

	sf::CircleShape c3(radius, 40); //   
	c3.setFillColor(sf::Color::Blue);
	c3.setPosition(50 + radius, 50);
	
	//    
	float speed1 = 1.3, speed2 = -1.3, speed3 = 1.3;
	while (1) {
		sf::Event event; //   
		while (window.pollEvent(event)) {
			//           Esc
			if (event.type == sf::Event::Closed || event.type == sf::Event::KeyPressed && event.key.code == sf::Keyboard::Escape)
				return 0;
		}
		window.clear(); //  

		
		if (c1.getPosition().x >= 160 || c1.getPosition().x <= 30) //      ,  
			speed1 *= -1;
		
		if (c2.getPosition().x >= 160 || c2.getPosition().x <= 30) //      ,  
			speed2 *= -1;
				
		if (c3.getPosition().x >= 160 || c3.getPosition().x <= 30) //      ,  
			speed3 *= -1;

		c1.move(sf::Vector2f(speed1, 0)); //   
		c3.move(sf::Vector2f(speed3, 0));
		c2.move(sf::Vector2f(speed2, 0));

		window.draw(c1, sf::BlendAdd); //        
		window.draw(c2, sf::BlendAdd);
		window.draw(c3, sf::BlendAdd);

		sf::sleep(sf::microseconds(8000)); //      ,  .

		window.display(); //  
	}

	return 0;
}